QGIS Application - Bug report #5968

Georeferencing plugin imports transparent area when set transparent = 0 active

2012-07-06 02:18 PM - Matthew Rose

No
No
end of life

Status: Closed

Priority: Normal

Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 15387

Description

When importing a png via the georeferencing plugin, on some PNGs the transparent area will be imported, not the colored area. Suspect
it's to do with png pallete -- that's the only difference | can see between the two images other than the slightly different shapes.

History

#1 - 2012-09-04 12:07 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#2 - 2014-06-21 02:06 PM - Jiirgen Fischer
- Category set to C++ Plugins

#3 - 2014-06-28 07:42 AM - Jiirgen Fischer
- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#4 - 2014-06-29 06:33 AM - Jiirgen Fischer
- Category changed from C++ Plugins to C++ plugins/Georeferencer

#5 - 2017-05-01 01:09 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#6 - 2019-03-09 04:04 PM - Giovanni Manghi
- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

Files
correct.png 10.7 KB 2012-07-06 Matthew Rose
incorrect.png 13.8 KB 2012-07-06 Matthew Rose
